Description

Touch Tablet not working

Paddles buttons and Knobs are not correlate for the same Paddle

History

#1 - 06/11/2017 07:30 PM - sadosp

To one point I don't remember till which firmware version, these work well. Maybe Mark later confuse something in Core?

#2 - 06/11/2017 07:36 PM - foft

Yeah I mixed them up.

We swapped joystick ports 0/1 and 2/3 on the silkscreen. I made the same changes in the core... except its different for paddles since we'd only really

swapped port 0 and 1!

I'm building with the order corrected, then I

I noticed a 2nd bug, on my 600XL the minimum value of ? paddle(x) is 1. On Eclaire I get minimum of 0...

#3 - 06/11/2017 07:36 PM - foft

", then I will check the touch tablet"

#4 - 06/11/2017 07:39 PM - foft

I checked the touch tablet, confirmed not working on the new board. Very odd since this worked on v1 and paddles are working, except the bad

mapping! Will investigate...

#5 - 06/11/2017 07:42 PM - sadosp

foft wrote:

I checked the touch tablet, confirmed not working on the new board. Very odd since this worked on v1 and paddles are working, except the bad

mapping! Will investigate...

 If I remember well these work on core 7 or 8??..

#6 - 06/11/2017 07:53 PM - foft

The odd thing is I get 3.8V instead of 3.3V. I don't understand that at all, investigating... This would push the threshold on the LM339 too high for the

paddle, but why is it 3.8V?!

#7 - 06/11/2017 08:19 PM - foft

Going to check this on my scope, I don't trust my multimeter...

#8 - 06/11/2017 08:32 PM - foft

Still this this should be checked, but think its a red herring. I get the same reading on my scope - and on the v1 and prototype. I don't remember these

being so far off but guess they have always been. Panos, what did you get when you measured them?

#9 - 06/11/2017 08:52 PM - foft

OK, I found that if I connect the Eclaire to my laptop for power, it works. If I connect it to a PSU, it doesn't! The voltage is slightly higher and pushes

the threshold too high.

So: weak PSU, touch tablet works. string PSU, touch tablet fails!!
I identified we used (since my early prototype) the wrong capacitor and inductor values on the voltage converters. I'd like to try changing these for the

correct ones to see if it helps get more accurate voltages.

#10 - 06/11/2017 08:59 PM - sadosp

foft wrote:

Still this this should be checked, but think its a red herring. I get the same reading on my scope - and on the v1 and prototype. I don't remember

these being so far off but guess they have always been. Panos, what did you get when you measured them?

 I never read more than 3v3 using any type of power source.

#11 - 06/11/2017 09:04 PM - foft

Maybe my tools are just not calibrated properly. Well anyway the touch tablet does not seem to work with a decent PSU due to small voltage

adjustments on the LM339 level. So I think we need to adjust the resistors on that slightly. I think we have 2.2K and 1.1K now. Perhaps 2.0K and 1.1K

would be better to give a little breathing room.

#12 - 06/11/2017 10:11 PM - sadosp

foft wrote:

Maybe my tools are just not calibrated properly.

 I don't have touch tablet in my possession, but I try two different psu's with 5 and 5.2 volt output, and at any case I read 3.333v with my voltmeter.

Check it on v1 board.

If you could check our mails in the past, I never had over voltage but only under voltage when I use independent regulators for dac and adc.

#13 - 06/11/2017 10:12 PM - sadosp

foft wrote:

Maybe my tools are just not calibrated properly.

 I don't have touch tablet in my possession, but I try two different psu's with 5 and 5.2 volt output, and at any case I read 3.333v with my voltmeter.

Check it on v1 board.

If you could check our mails in the past, I never had a case with over voltage, but only under voltage when I use independent regulators for dac and

adc.

#14 - 06/11/2017 10:14 PM - sadosp

foft wrote:

Maybe my tools are just not calibrated properly.

 I don't have touch tablet in my possession, but I try two different psu's with 5 and 5.2 volt output, and at any case I read 3.333v with my voltmeter. I

check it on v1 board with only the SD CARD placed there.

If you could check our mails in the past, I never had a case with over voltage, but only under voltage when I use independent regulators for dac and

adc.

#15 - 06/11/2017 10:14 PM - sadosp

foft wrote:

Maybe my tools are just not calibrated properly.

 I don't have touch tablet in my possession, but I try two different psu's with 5 and 5.2 volt output, and at any case I read 3.333v with my voltmeter. I

check it on v1 board with only the SD CARD to be placed there.

If you could check our mails in the past, I never had a case with over voltage, but only under voltage when I use independent regulators for dac and

adc.

#16 - 06/11/2017 10:33 PM - sadosp

I use these two power adapters below..

[[https://m-service.prom.ua/p47863721-zaryadnoe-ustrojstvo-white.html]]

[[http://www.awax3.pl/product-pol-4023-Ladowarka-Samsung-EP-TA10EWE.html]]

#17 - 06/11/2017 10:41 PM - sadosp
Even a worthless psu rated at 5v @ 500mA who in reality supply with 5.26v, after the regulator read 3.333v

#18 - 06/12/2017 07:29 AM - foft

Ok, so assuming my scope is wrong for now. Its a usb one, I don't trust the absolute levels that much. What are you using to measure Panos?

One thing fed almost direct is 5V from psu to touch tablet. It might be sensitive. I can check the signal I receive with both my power supplies

tonight.i.e. is it working in both cases and the eclair does not detect it, or does it only work with one psu

#19 - 06/12/2017 12:36 PM - sadosp

Hi Mark.

I use my 4 digits digital multimeter to take readings. My analogue scope TEK2445, isn't usefull at all for accurate voltage readings, although it have on

screen readout. As for the digital scopes, I don't know how accurate are.

#20 - 06/12/2017 07:59 PM - foft

OK, I restarted my scope software and now get the correct readings. So a bit of a mystery but I suspect a plain old bug...

Anyway now I get 3.3V,2.5V and 1.1V as expected. However the 5V line is anything but 5V. I checked 4 different PSUs and get different levels on all

of them. This '5V' input is directly fed to the touch tablet. I found that the touch tablet 'high' level varies from 2.0V (when fed 4.5V from a USB power

supply) to 2.25V (when fed 4.75V - from my laptop). The level we check for is 2.2V.

We can clearly fix this but changing our 'high' level from 2.2V to say 1.95V. However I think the root cause is the input from the USB PSU. Why are

these not giving 5V as advertised. I guess we have to have the correct supporting circuitry in place for that to work. Will investigate.

#21 - 06/12/2017 08:17 PM - foft

"The ATX power supply specification states the 5VUSB rail can be between +4.75V and +5.25V."

I guess we need a regulator to actually get 5V! I also read that many ports output only 500mA until sending them a message.

I wonder if there are chips that do both...

#22 - 06/12/2017 08:21 PM - foft

"It is specified that devices' configuration and low-power functions must operate down to 4.40 V at the hub port by USB 2.0 and that devices'

configuration, low-power, and high-power functions must operate down to 4.00 V at the device port by USB 3.0."

#23 - 06/12/2017 08:34 PM - sadosp

Mark, I think is time to send you a digital multi-meter as a gift! ;-)

I have a question. You read the 5v directly at the input, or at the end after the joystick port?

#24 - 06/12/2017 08:36 PM - foft

- File tps63001.pdf added

I read it at the switch. I checked with 4 psus - checking each time on the regulated outputs that my scope was still working.

I think we need one of these: tps63001

#25 - 06/12/2017 08:38 PM - foft

I mean tps63002.

I have a multimeter. It still reads 3.8V today after the regulator - and 5V on the input. I trust the scope more - when the software is working:-)

#26 - 06/12/2017 08:50 PM - sadosp

Same reading in the 1st board also?

What the other guys said about it? None have a multi meter to check the voltage?

Can you find this in Switzerland? Is 5.2 volt at 2 Amper! My meter read 5.16 volt on board! Same thing is also the code

EP-TA10EWE

EP-TA12EWE

EP-TA20EWE

[[https://www.pc-ostschweiz.ch/product-2a18418736.htm?parnr=12833201]]

#27 - 06/12/2017 08:58 PM - ndary
i have a meter, just need clear instruction what to do and where to check

Nir

#28 - 06/12/2017 09:03 PM - foft

I have power supplies who state 5V, but if I measure them they are not.

You can measure on the joystick ports - or between the power switch and gnd.

#29 - 06/12/2017 09:09 PM - sadosp

ndary wrote:

i have a meter, just need clear instruction what to do and where to check

Nir

 Prepare your meter for DC Volts in a range of 10 or 20 volt. After power up your eclaireXL without any peripheral device connected, and place the 

black negative probe on the "TEST POINTS" area of your pcb marked as "GND".

Now place the other one red positive probe at the outer longer pin of the power switch, and tel us what you reading.

Be very careful to not damage your pcb!!!! Do very slow and steady movements with your hands there!!!

#30 - 06/12/2017 09:23 PM - sadosp

foft wrote:

I have power supplies who state 5V, but if I measure them they are not.

 I know Mark, and this is the reason who I ask you to buy a tested psu from Samsung.

#31 - 06/12/2017 09:34 PM - foft

It should work with any decent USB supply. So I think we need to improve our end to handle this variation.

I checked my scope on a 5V supply I built at university and confirmed it does show 5V with that:-)

#32 - 06/12/2017 09:37 PM - foft

These are all 'quality' usb supplies - well Apple anyway!

#33 - 06/12/2017 09:57 PM - sadosp

foft wrote:

It should work with any decent USB supply. So I think we need to improve our end to handle this variation.

I checked my scope on a 5V supply I built at university and confirmed it does show 5V with that:-)

 I am ok with this. Is an option!

But if you ask my opinion, I would say that the final purpose of eclaireXL, isn't for use as one more generic FPGA development board, to work with

any usb outlet. Because of its nature as a complete Atari computer, it must support/supply its peripherals. So to do this correctly, it need to stand ever

with a tested and stabilized 5.1volt @ 1 or 2 Amper power supply.

We can use any of the two ways above, but you know very well that with the first way and a hungry sio peripheral, 500mA of standard usb outlet isn't

enough! However maybe your way is more economical at the end...

#34 - 02/08/2018 09:08 PM - foft

In the next run of boards we are added a variable resistor to allow adjusting the level the paddle detector uses.

For old boards, use a decent PSU!

#35 - 02/08/2018 09:09 PM - foft

- Status changed from New to Closed
